Repository 32bit  Forum
Repository 64bit  Wiki

gimp 2.8 stabile!

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Re: gimp 2.8 stabile!

Messaggioda sya54M » mar mag 08, 2012 12:06

non mi rompi, te lo assicuro :) comunque ho anch'io le stesse impostazioni.. è uguale, ed il manuale non essendo installato sul pc si apre il browser mostrando il manuale sul sito di gimp
Ultima modifica di sya54M il mar mag 08, 2012 12:58, modificato 1 volta in totale.
Avatar utente
sya54M
Linux 3.x
Linux 3.x
 
Messaggi: 1430
Iscritto il: mer giu 06, 2007 13:44
Località: (Salerno)
Nome Cognome: Andrea P.
Slackware: 64-current
Kernel: 3.14.x
Desktop: KDE 4.13

Re: gimp 2.8 stabile!

Messaggioda rik70 » mar mag 08, 2012 12:14

sya54M ha scritto:non mi rompi, te lo assicuro :) comunque ho anchio le stesse impostazioni.. è uguale, ed il manuale non essendo installato sul pc si apre il browser mostrando il manuale sul sito di gimp


Chissà perché a me non apre nulla e da quell'errore. O è legato al fatto che ho tutto in /opt/gimp e forse manca qualche variabile d'ambiente...oppure....bhò....le mie conscenze si fermano qui.

Comunque... grazie ancora 8)
rik70
Linux 3.x
Linux 3.x
 
Messaggi: 1255
Iscritto il: gio mar 10, 2011 9:21
Slackware: 14.1
Kernel: generic-smp
Desktop: Xfce

Re: gimp 2.8 stabile!

Messaggioda rik70 » mar mag 08, 2012 14:21

sya54M ha scritto:non mi rompi, te lo assicuro :)


E io approfitto ancora ^^

Me lo fai un favore grande come una casa?

Scompatti i sorgenti di gimp-2.8 e dai
Codice: Seleziona tutto
./configure --prefix=/usr --disable-static --with-libcurl --without-gvfs
e posti qui l'output?

La parte finale, quella dopo l'ultima riga che inizia con 'config.status'.

Mi sa che da me non compila il plugin Help Browser.

Grazie in anticipo

Ciao
rik70
Linux 3.x
Linux 3.x
 
Messaggi: 1255
Iscritto il: gio mar 10, 2011 9:21
Slackware: 14.1
Kernel: generic-smp
Desktop: Xfce

Re: gimp 2.8 stabile!

Messaggioda sya54M » mar mag 08, 2012 14:34

Codice: Seleziona tutto
Building GIMP with prefix=/usr, datarootdir=${prefix}/share
Desktop files install into ${datarootdir}

Extra Binaries:
  gimp-console:        yes

Optional Features:
  D-Bus service:       yes
  Language selection:  yes

Optional Plug-Ins:
  Ascii Art:           yes
  Compressor:          yes
  Ghostscript:         yes
  Help Browser:        no (WebKit not found)
  LCMS:                yes
  JPEG:                yes
  JPEG 2000:           yes
  MNG:                 yes
  PDF (import):        yes
  PDF (export):        yes
  PNG:                 yes
  Print:               yes
  PSP:                 yes
  Python:              yes
  Script-Fu:           yes
  SVG:                 no (librsvg not found)
  TIFF:                yes
  TWAIN (MacOS X):     no
  TWAIN (Win32):       no
  URI:                 yes (using libcurl)
  Webpage:             no (WebKit not found)
  Windows ICO:         yes
  WMF:                 yes
  XJT:                 yes
  X11 Mouse Cursor:    yes
  XPM:                 yes

Plug-In Features:
  EXIF support:        yes

Optional Modules:
  ALSA (MIDI Input):   yes
  Linux Input:         yes (GUdev support: no (libgudev not found))
  DirectInput (Win32): no
  Color Correction:    yes
  Soft Proof:          yes

Tests:
  Use xvfb-run         no (not found)

io come si vede, non ho webkit installato e quindi nemmeno a me si compila l'help browser, proprio per questo si apre un browser esterno
Avatar utente
sya54M
Linux 3.x
Linux 3.x
 
Messaggi: 1430
Iscritto il: mer giu 06, 2007 13:44
Località: (Salerno)
Nome Cognome: Andrea P.
Slackware: 64-current
Kernel: 3.14.x
Desktop: KDE 4.13

Re: gimp 2.8 stabile!

Messaggioda rik70 » mar mag 08, 2012 14:57

E' come il mio, allora non è quello il prob [-X

Vabbè... grazie!

P.s.
sya54M ha scritto:SVG: no (librsvg not found)


Come dicevo sopra, servirebbero anche le librsvg aggiornate ^^
rik70
Linux 3.x
Linux 3.x
 
Messaggi: 1255
Iscritto il: gio mar 10, 2011 9:21
Slackware: 14.1
Kernel: generic-smp
Desktop: Xfce

Re: gimp 2.8 stabile!

Messaggioda sya54M » mar mag 08, 2012 17:06

rik70 ha scritto:P.s.

sya54M ha scritto:SVG: no (librsvg not found)



Come dicevo sopra, servirebbero anche le librsvg aggiornate ^^

sì però servono solo a fargli aprire i file svg... per quelli uso inkskape...
Avatar utente
sya54M
Linux 3.x
Linux 3.x
 
Messaggi: 1430
Iscritto il: mer giu 06, 2007 13:44
Località: (Salerno)
Nome Cognome: Andrea P.
Slackware: 64-current
Kernel: 3.14.x
Desktop: KDE 4.13

Re: gimp 2.8 stabile!

Messaggioda rik70 » mar mag 08, 2012 17:33

sya54M ha scritto:
rik70 ha scritto:P.s.

sya54M ha scritto:SVG: no (librsvg not found)



Come dicevo sopra, servirebbero anche le librsvg aggiornate ^^

sì però servono solo a fargli aprire i file svg... per quelli uso inkskape...


Ooook, perfetto
------
UP!

Guarda qui:

Immagine

Su Slack 13.37 pulita, col gimp di default.

L'errore scompare se installo gvfs da SlackBuild.org.

A questo punto mi sa che è tutto nella norma.
rik70
Linux 3.x
Linux 3.x
 
Messaggi: 1255
Iscritto il: gio mar 10, 2011 9:21
Slackware: 14.1
Kernel: generic-smp
Desktop: Xfce

Re: gimp 2.8 stabile!

Messaggioda sya54M » mar mag 08, 2012 17:43

compilalo col supporto a libcurl
Codice: Seleziona tutto
--without-gvfs --with-libcurl
Avatar utente
sya54M
Linux 3.x
Linux 3.x
 
Messaggi: 1430
Iscritto il: mer giu 06, 2007 13:44
Località: (Salerno)
Nome Cognome: Andrea P.
Slackware: 64-current
Kernel: 3.14.x
Desktop: KDE 4.13

Re: gimp 2.8 stabile!

Messaggioda sya54M » mar mag 08, 2012 17:49

ah no scusa, vedo che hai già fatto così.. allora è strano che vuole comunque gvfs... in effetti io ho il pacchetto gvfs di workman installato quindi non me ne rendo nemmeno conto di cosa succede senza :D
però non lo linka come dipendenza
Avatar utente
sya54M
Linux 3.x
Linux 3.x
 
Messaggi: 1430
Iscritto il: mer giu 06, 2007 13:44
Località: (Salerno)
Nome Cognome: Andrea P.
Slackware: 64-current
Kernel: 3.14.x
Desktop: KDE 4.13

Re: gimp 2.8 stabile!

Messaggioda rik70 » mar mag 08, 2012 17:49

[cancellato]
Ultima modifica di rik70 il mar mag 08, 2012 18:38, modificato 1 volta in totale.
rik70
Linux 3.x
Linux 3.x
 
Messaggi: 1255
Iscritto il: gio mar 10, 2011 9:21
Slackware: 14.1
Kernel: generic-smp
Desktop: Xfce

Re: gimp 2.8 stabile!

Messaggioda rik70 » mar mag 08, 2012 17:53

sya54M ha scritto:ah no scusa, vedo che hai già fatto così.. allora è strano che vuole comunque gvfs... in effetti io ho il pacchetto gvfs di workman installato quindi non me ne rendo nemmeno conto di cosa succede senza :D
però non lo linka come dipendenza


Ooops, arrivo tardi ... sorry.

Allora si spiega tutto.

Prova a disinstallare gvfs e vedrai che anche a te da quell'errore ;)
rik70
Linux 3.x
Linux 3.x
 
Messaggi: 1255
Iscritto il: gio mar 10, 2011 9:21
Slackware: 14.1
Kernel: generic-smp
Desktop: Xfce

Re: gimp 2.8 stabile!

Messaggioda slux » mar mag 08, 2012 18:14

sya54M ha scritto:figurati, mi dispiace, ma che problemi ti da?

I problemi erano 2: Lxdm teneva un core della mia cpu sempre al 100%,ma ricompilando il pacchetto si è sistemato.Xfce invece, mi dava un problema nel copia/incolla con Thunar.Una volta incollato un file in una directory,Thunar si chiudeva di colpo.
Ho ripreso così sorgenti e slackbuilds ufficiali, per tentare la stessa strada provata con LXDM , ma ad un certo punto se ne è uscito con un bel errore di compilazione e senza nemmeno sapere chi o cosa era "esploso" ,sono tornato sui miei passi.Comunque sono riuscito a provare GIMP e non ho riscontrato anomalie particolari,ma per l'uso che ne faccio io,mi può bastare anche la versione più legacy al momento :) .Grazie ancora per l'interessamento.
Avatar utente
slux
Linux 2.6
Linux 2.6
 
Messaggi: 782
Iscritto il: dom mar 20, 2005 0:00
Località: Prato
Nome Cognome: Andrea Amerini
Slackware: 14.1 x86
Kernel: 3.12.0-smp
Desktop: xfce 4.10

Re: gimp 2.8 stabile!

Messaggioda sya54M » mar mag 08, 2012 19:29

ho capito, e l'xfce 4.8 di robby workman ti da lo stesso problema con le gtk aggiornate?
Avatar utente
sya54M
Linux 3.x
Linux 3.x
 
Messaggi: 1430
Iscritto il: mer giu 06, 2007 13:44
Località: (Salerno)
Nome Cognome: Andrea P.
Slackware: 64-current
Kernel: 3.14.x
Desktop: KDE 4.13

Re: gimp 2.8 stabile!

Messaggioda slux » mar mag 08, 2012 20:09

Non ho provato Xfce 4.8.Per ora la penso come Patrick. ;)
Avatar utente
slux
Linux 2.6
Linux 2.6
 
Messaggi: 782
Iscritto il: dom mar 20, 2005 0:00
Località: Prato
Nome Cognome: Andrea Amerini
Slackware: 14.1 x86
Kernel: 3.12.0-smp
Desktop: xfce 4.10

Re: gimp 2.8 stabile!

Messaggioda leocata » mer mag 09, 2012 9:46

Scusate... ma mi sono perso nei post. Qualcuno può scrivere che pacchetti installare sulla 13.37 a 32 bit e/o dove trovare gli slackbuilds?
leocata
Linux 2.6
Linux 2.6
 
Messaggi: 550
Iscritto il: mar feb 05, 2008 22:25
Località: Giarre(CT)
Slackware: 13.1
Desktop: xfce 4.x

PrecedenteProssimo

Torna a Packages

Chi c’è in linea

Visitano il forum: Google [Bot] e 3 ospiti